Bug 1075708 - yum-config-manager should alter config file specified using -c option
Summary: yum-config-manager should alter config file specified using -c option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum-utils
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 1205796
TreeView+ depends on / blocked
 
Reported: 2014-03-12 16:03 UTC by Karel Srot
Modified: 2015-11-19 12:10 UTC (History)
3 users (show)

Fixed In Version: yum-utils-1.1.31-30.el7
Doc Type: Bug Fix
Doc Text:
The yum-config-manager utility previously altered the /etc/yum.conf file even if an alternate configuration file was specified using the "-c" option. With this update, yum-config-manager alters the appropriate configuration file.
Clone Of:
: 1225753 (view as bug list)
Environment:
Last Closed: 2015-11-19 12:10:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2129 normal SHIPPED_LIVE yum-utils bug fix and enhancement update 2015-11-19 10:49:36 UTC

Description Karel Srot 2014-03-12 16:03:52 UTC
Description of problem:

similar to request in bug 1075706.

yum-config-manager should update config file provided on the command line (when provided) rather than /etc/yum.conf:

# cp /etc/yum.conf /tmp/yum.conf
# yum-config-manager --setopt='debuglevel=9' --save -c /tmp/yum.conf
# grep debuglevel /etc/yum.conf 
debuglevel=9
# grep debuglevel /tmp/yum.conf 
debuglevel=2

Comment 6 Fedora Update System 2015-10-17 23:21:06 UTC
yum-utils-1.1.31-28.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-11-19 12:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2129.html


Note You need to log in before you can comment on or make changes to this bug.